# Copyright (c) 2012 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

# These certificate trees are for testing only in sealed containers
# so it is okay that we have them checked into a GIT repository.
# Nobody will ever use this information on the open air.

# These are the paths used by install_client_auth_data in site_wifitest.
server_ca_cert_1_install_path = "/tmp/hostapd_ca_cert"
server_cert_1_install_path = "/tmp/hostapd_server_cert"
server_key_1_install_path = "/tmp/hostapd_private_key"
server_expired_cert_install_path = "/tmp/hostapd_expired_server_cert"
server_expired_key_install_path = "/tmp/hostapd_expired_server_key"
client_ca_cert_1_install_path = "/tmp/ca-cert.pem"
client_cert_1_install_path = "/tmp/pkg-client-cert.pem"
client_key_1_install_path = "/tmp/pkg-client-key.pem"
client_ca_cert_2_install_path = "/tmp/ca-cert-other.pem"
client_cert_2_install_path = "/tmp/pkg-client-cert-other.pem"
client_key_2_install_path = "/tmp/pkg-client-key-other.pem"
# These are the key/cert identifiers used when we need the TPM.
ca_cert_1_tpm_key_id = "8711"
cert_1_tpm_key_id = "8712"
key_1_tpm_key_id = "8713"
ca_cert_2_tpm_key_id = "8714"
cert_2_tpm_key_id = "8715"
key_2_tpm_key_id = "8716"

cert_1_nss_cert_id = "nss-ca-cert"
nss_cert_db_path = "/home/chronos/user/.pki/nssdb"
nss_cert_db_user = "chronos"

auth_pin = "1234"
# These are the subject alternative names in server_cert_3.
server_cert_3_altsubject_match = [{
    "Type": "DNS",
    "Value": "www.example.com",
}, {
    "Type": "DNS",
    "Value": "mail.example.com",
}, {
    "Type": "EMAIL",
    "Value": "example@domain.com",
}]

ca_cert_1 = """-----BEGIN CERTIFICATE-----
MIIDRjCCAq+gAwIBAgIJANn/MIB1esFIMA0GCSqGSIb3DQEBBQUAMG8xCzAJBgNV
BAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBW
aWV3MTMwMQYDVQQDEypjaHJvbWVsYWItd2lmaS10ZXN0YmVkLXJvb3QubXR2Lmdv
b2dsZS5jb20wHhcNMTIwNDI2MDE0OTMxWhcNMjIwNDI0MDE0OTMxWjBvMQswCQYD
VQQGEwJVUzETMBEGA1UECBMKQ2FsaWZvcm5pYTEWMBQGA1UEBxMNTW91bnRhaW4g
VmlldzEzMDEGA1UEAxMqY2hyb21lbGFiLXdpZmktdGVzdGJlZC1yb290Lm10di5n
b29nbGUuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQC7ih4cIp4P5aRu
8ydFu0ggXr0gVLEdIMbHg3hfPjluDzNhbAP400+Vg0zJgfyOJCE8I6qzKMIX4MGD
EKBGADmB68gffQiwkVGr7IwzeR7Qmy5j1M0Ks6HS1V0wLPgDBSnf8HtqRuHU63V4
3mpiW8DltXSbO1QmgtDHLIHhIPukTwIDAQABo4HpMIHmMB0GA1UdDgQWBBQyZyGN
kYvK49JfViPq6cqz+ayUPzCBoQYDVR0jBIGZMIGWgBQyZyGNkYvK49JfViPq6cqz
+ayUP6FzpHEwbzELMAkGA1UEBhMCVVMxEzARBgNVBAgTCkNhbGlmb3JuaWExFjAU
BgNVBAcTDU1vdW50YWluIFZpZXcxMzAxBgNVBAMTKmNocm9tZWxhYi13aWZpLXRl
c3RiZWQtcm9vdC5tdHYuZ29vZ2xlLmNvbYIJANn/MIB1esFIMAwGA1UdEwQFMAMB
Af8wEwYDVR0lBAwwCgYIKwYBBQUHAwMwDQYJKoZIhvcNAQEFBQADgYEACy7WcGIZ
NfpnIrdM0TpzYrqkzNEdrdvO32mX4WKrpF2YdhNQ6NMqLJEHjq4iTwMMf1oxUT+X
R2fZba/umMvP8s2RASNKzmozw0GRuK8wzsFYjC/85TwL3Z6d2nzgpBjVtpE5kROY
b6ZSoIDgYwTUgvLrROpy4Uc68PrGnFcCvCE=
-----END CERTIFICATE-----
"""
server_cert_1 = """-----BEGIN CERTIFICATE-----
MIIDYTCCAsqgAwIBAgIDEAADMA0GCSqGSIb3DQEBBAUAMG8xCzAJBgNVBAYTAlVT
MRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MTMw
MQYDVQQDEypjaHJvbWVsYWItd2lmaS10ZXN0YmVkLXJvb3QubXR2Lmdvb2dsZS5j
b20wHhcNMTIwNDI2MDE0OTM1WhcNMjIwNDI0MDE0OTM1WjBxMQswCQYDVQQGEwJV
UzETMBEGA1UECBMKQ2FsaWZvcm5pYTEWMBQGA1UEBxMNTW91bnRhaW4gVmlldzE1
MDMGA1UEAxMsY2hyb21lbGFiLXdpZmktdGVzdGJlZC1zZXJ2ZXIubXR2Lmdvb2ds
ZS5jb20wgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBAKPqAb1K14pPSXjbMPGy
pSzuXtP/1++oKW/gwBHfy/8+D1tlTCEQk29qEv2Mz48JV1iI7zhVV+9gErS5b+En
79yfkCyMVt1/yEsrXofn1aBSd7X5bcQJwnXkozvJGeyWyrHwAnCvHJoty2gAuqDO
F2WFDRXrTC/dbw0n3j+WzH3tAgMBAAGjggEHMIIBAzAJBgNVHRMEAjAAMBEGCWCG
SAGG+EIBAQQEAwIGQDAdBgNVHQ4EFgQUgWAlu2RX2hiaU+KuOdLxjwLxe3QwgaEG
A1UdIwSBmTCBloAUMmchjZGLyuPSX1Yj6unKs/mslD+hc6RxMG8xCzAJBgNVBAYT
AlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3
MTMwMQYDVQQDEypjaHJvbWVsYWItd2lmaS10ZXN0YmVkLXJvb3QubXR2Lmdvb2ds
ZS5jb22CCQDZ/zCAdXrBSDALBgNVHQ8EBAMCBaAwEwYDVR0lBAwwCgYIKwYBBQUH
AwEwDQYJKoZIhvcNAQEEBQADgYEAbO2QQf5seheTE0wKyOP4eCMMHmLqzE/nHd4q
pxz4sQZ6D7aCxsTstVWfXDAWvzRxXO/QY57FTXn7F7e3lA9CP+igfOWbxaRoYiCG
cJAaaSpwUE0GWzPP8zTm6f1NtolffQ5QmUE/Wzn6YLD03S+6TLyS4BlaZRu4kFVF
uUsuMKk=
-----END CERTIFICATE-----
"""
server_private_key_1 = """-----BEGIN RSA PRIVATE KEY-----
MIICXQIBAAKBgQCj6gG9SteKT0l42zDxsqUs7l7T/9fvqClv4MAR38v/Pg9bZUwh
EJNvahL9jM+PCVdYiO84VVfvYBK0uW/hJ+/cn5AsjFbdf8hLK16H59WgUne1+W3E
CcJ15KM7yRnslsqx8AJwrxyaLctoALqgzhdlhQ0V60wv3W8NJ94/lsx97QIDAQAB
AoGAJYbBdzDXP9b/HygvgGZB4pOAKlD8guWg9vghgPYXogv3QBlk4H0HBA7o4huG
uVyOHrra6a7APxFjtvRtZMLb6uzJqQ0EccwEcHLtSG7rNNlFsylwgMpcwhWrcz/D
nHQo1Pt8Ij0a6byqCYAsct9F/EPq2WM7FK+0Y6wjiHp9+BECQQDWG+QYE06lDLzo
89kbwPLYHB2G9oDmWvqeajIWXqpb2snHVgphJppEDHx0IDby4uJMxkftqlka1DFC
icx3XKLfAkEAw/v/c2td+wtUiDSSm2z+wPOT0ifrY99i77nOm8BOLXhiYvBHBo2q
4fgkxaApo6Lg0wLOkcqnJLpVByBdlwjkswJBALMelDzb8iA8PtI4JjqEueS36K/f
C0krdZ0PxKVYPvcnW0UrIvXRoJ8rPva7eJzL2HxYKRaYO4EpYaiDtY1p70sCQQCY
CK0qRGgrj6aL4vy4Rd16oXpS1VTtrSV7ApEckhoTfAgW6H6wvsWJdo5QIOcsYfY2
uz60KplvDH1ZgeoYeHWxAkBptmY574GnuAW1Jw1G6xWwka6yLs68PfQgslHZiYT7
eOiTwkwmWD7oFjqWUYO1Pw7ipktE1uFPd4KUtwcMbid9
-----END RSA PRIVATE KEY-----
"""
client_cert_1 = """-----BEGIN CERTIFICATE-----
MIIDTDCCArWgAwIBAgIDEAABMA0GCSqGSIb3DQEBBAUAMG8xCzAJBgNVBAYTAlVT
MRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MTMw
MQYDVQQDEypjaHJvbWVsYWItd2lmaS10ZXN0YmVkLXJvb3QubXR2Lmdvb2dsZS5j
b20wHhcNMTIwNDI2MDE0OTMxWhcNMjIwNDI0MDE0OTMxWjBxMQswCQYDVQQGEwJV
UzETMBEGA1UECBMKQ2FsaWZvcm5pYTEWMBQGA1UEBxMNTW91bnRhaW4gVmlldzE1
MDMGA1UEAxMsY2hyb21lbGFiLXdpZmktdGVzdGJlZC1jbGllbnQubXR2Lmdvb2ds
ZS5jb20wgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBAOGJK23P4Pfl2tr4JEXL
h6d3Oc26loDhAO4sFOeKtiCPTVpMzZvt1P96BFgrYUvRx2FutRSa4i9MYSrktEei
G3Y+FeIB4yq2gRTR5UhBFBJr8N0UYdQrHC6KTe0FSQzXWjLRggQfTXONSmffxvoA
zuxNpoW2Q7MgmMnkTpT8H21TAgMBAAGjgfMwgfAwCQYDVR0TBAIwADAdBgNVHQ4E
FgQUlVTdjVc1rcckhUoH22iaTxO3wGgwgaEGA1UdIwSBmTCBloAUMmchjZGLyuPS
X1Yj6unKs/mslD+hc6RxMG8xCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9y
bmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MTMwMQYDVQQDEypjaHJvbWVsYWIt
d2lmaS10ZXN0YmVkLXJvb3QubXR2Lmdvb2dsZS5jb22CCQDZ/zCAdXrBSDALBgNV
HQ8EBAMCBaAwEwYDVR0lBAwwCgYIKwYBBQUHAwIwDQYJKoZIhvcNAQEEBQADgYEA
L9SlLooWevdiZE57EqdsvGmdnUv83PWEARhiYgixVc1zW4eHuFrsdMXCTMXJMz+9
eRhmlCEFR4VpbDuvJfju7M53wE8QzDcQmiYgvWlyz0ZT/j1E8LspB4pj6YKDQKZ2
6yZSnAYZ09h5yo5S9PfRq1HMWQcmE+rh7LNc+dpC/ms=
-----END CERTIFICATE-----
"""
client_private_key_1 = """-----BEGIN RSA PRIVATE KEY-----
MIICXgIBAAKBgQDhiSttz+D35dra+CRFy4endznNupaA4QDuLBTnirYgj01aTM2b
7dT/egRYK2FL0cdhbrUUmuIvTGEq5LRHoht2PhXiAeMqtoEU0eVIQRQSa/DdFGHU
Kxwuik3tBUkM11oy0YIEH01zjUpn38b6AM7sTaaFtkOzIJjJ5E6U/B9tUwIDAQAB
AoGAR5nKpdQnMcxRTM8WhOn2qR3axguEmGnWZ8aq5E9PPsr/3bkgVW6N/oV4N52e
B/oTeEUzS9VYFXgEKR/udAds++ZhF/WvUa7ZV/EINSfZdnvy9xnrDBfVHYZ5heuF
REiEnmW2euxE1p1QJZ/GsQ4XJWibT7E/EDQHZbhLmgGRMIECQQD2HjsHA84Ypu/k
qmcx3yrisnaI3JgD+i5yjqlpDkT57AO9ZvXrBUa4Djacn8Dkrii7aD0eUODQlmH0
oMJAk5xhAkEA6pdhZxvOuSFNOv2HQ1gQyW3OzKghH0SVOVlhhWczesoPWrh90XU/
I8A0UI+TnAoUzmbVl5g+xb2Hzsk7rC0GMwJBAKDOd7rJnas1x6AcRnirW5XrDM+3
cguHNznaRI5DqIWy0265CwyX0fEIOF51cs73i92G6ggYyAsBdtcjAki3KYECQQDZ
RDSwwx9VdJNLlC1nYLPDapDCGOD8TY+LGs3oOKmEConn8sCMcnN0z/ljt2X1eZzF
gJZHnXhduWiDSvqaPuTjAkEAyNK5BJk39bk33mjo3DhuBHy0qQRgx10pyhQhgdel
iiWhSc9MaRwxDbYKxVoRhdqLhfGsufNVcPyTnF9nfdxRnQ==
-----END RSA PRIVATE KEY-----
"""

# The following certs are generated with the same CA as above
# but are expired.
server_expired_cert = """-----BEGIN CERTIFICATE-----
MIIDaTCCAtKgAwIBAgIDEAAEMA0GCSqGSIb3DQEBBAUAMG8xCzAJBgNVBAYTAlVT
MRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MTMw
MQYDVQQDEypjaHJvbWVsYWItd2lmaS10ZXN0YmVkLXJvb3QubXR2Lmdvb2dsZS5j
b20wHhcNOTgwMTAxMTI1OTU5WhcNOTkwMTAxMTI1OTU5WjB5MQswCQYDVQQGEwJV
UzETMBEGA1UECBMKQ2FsaWZvcm5pYTEWMBQGA1UEBxMNTW91bnRhaW4gVmlldzE9
MDsGA1UEAxM0Y2hyb21lbGFiLXdpZmktdGVzdGJlZC1zZXJ2ZXItZXhwaXJlZC5t
dHYuZ29vZ2xlLmNvbTCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEAwZF5hp1g
DkgVv+n8kNQLNTWrjzSyz2qCvsnAiRGDFZ1lVdPUD3JG96HArkbPOLNel28UbMW3
YNvM5uTdnImmtIggqkHyQ4og3K6xDQhD1mlRXGoLwTPJUTbhyFEmtyj8fyxEMqfk
q7W6uMXJF93DkTzB4V0U7BcDi76PIV28WMECAwEAAaOCAQcwggEDMAkGA1UdEwQC
MAAwEQYJYIZIAYb4QgEBBAQDAgZAMB0GA1UdDgQWBBQegh2KuohntZ2UR8fZWzdD
ezfWIDCBoQYDVR0jBIGZMIGWgBQyZyGNkYvK49JfViPq6cqz+ayUP6FzpHEwbzEL
MAkGA1UEBhMCVVMxEzARBgNVBAgTCkNhbGlmb3JuaWExFjAUBgNVBAcTDU1vdW50
YWluIFZpZXcxMzAxBgNVBAMTKmNocm9tZWxhYi13aWZpLXRlc3RiZWQtcm9vdC5t
dHYuZ29vZ2xlLmNvbYIJANn/MIB1esFIMAsGA1UdDwQEAwIFoDATBgNVHSUEDDAK
BggrBgEFBQcDATANBgkqhkiG9w0BAQQFAAOBgQCMnkl8ceSOF8Efe7vm0mlUnvhR
i9L2Sh9x0BhlqmivKzbLg2E3tyYdrxdmSAJOdCQ0RVs0a6NIJG9xDNZa8+Ejrvk1
Vmz5O1wYzuGmdaYv392jzznNH9abwedKZNca+/3ANaeYilBXnF9gLBHfj3wFOi/T
iSEzDrqtw9WJVGlpCw==
-----END CERTIFICATE-----
"""
server_expired_key = """-----BEGIN RSA PRIVATE KEY-----
MIICWwIBAAKBgQDBkXmGnWAOSBW/6fyQ1As1NauPNLLPaoK+ycCJEYMVnWVV09QP
ckb3ocCuRs84s16XbxRsxbdg28zm5N2ciaa0iCCqQfJDiiDcrrENCEPWaVFcagvB
M8lRNuHIUSa3KPx/LEQyp+Srtbq4xckX3cORPMHhXRTsFwOLvo8hXbxYwQIDAQAB
AoGAbZwqG89MEGpDXqxqJ7zbJ+NfZbVqt8dRiCYIz9VJzFiXhHVyNNj6VMmUqVtR
hoMTwl7VSw7e24s7yVe6IiVUbxOYGOMSOZ4sWS5c8j1xTiz1svusgplzd4FadpmB
2HOu4eQ8fSuFc4Xu5aPba8faXZEqpAOWoGB0M1gEJN73AI0CQQDuwmmmDdUoRNa9
P4bnOXWestO91LhgPnVwekmUfTTHrWplDzTIwI2gppdJM/Pq0vqynZC6H4LDnhvg
8enPNaZLAkEAz4uuRphRfWBwZ8nbwszVs2TRG7+8FXfhvH+nKSeDNg4DXcBP9Bt+
knGuOdW+qthvORRS2zBEbvpu4LN/wnwFowJANygqh/YCHD9q7GVUoO4hQfxF9kDC
J1nGf6mAfhE+tDJXtekBZK83CLnzkTGzU7hRuhm0aYsGBnLsNdctEHVwaQJAQDBW
JRVE1r715NOkeRn62fHLToa9N/KMyUy9uVe0GAq7dcpdsAS037vzA4Yc4x/vPjsP
6SSDdcNUeYBqeg77ewJAc9OG/qtZNwpEpQZXEloPeDQcVv1CP0ubwfuqBTXoG7KY
VZEVdOeKhQp5dAPlMphUhwogI5LJUBBCP72QK7T+Ig==
-----END RSA PRIVATE KEY-----
"""

# The following certs are generated with a different CA (both
# the private key and the Common Name of the CA are different)
ca_cert_2 = """-----BEGIN CERTIFICATE-----
MIIDOjCCAqOgAwIBAgIJAMMPy9yYn8UZMA0GCSqGSIb3DQEBBQUAMGsxCzAJBgNV
BAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBW
aWV3MS8wLQYDVQQDEyZub3QtY2hyb21lbGFiLWNlcnQtcm9vdC5tdHYuZ29vZ2xl
LmNvbTAeFw0xMTAzMTYwMDExMzFaFw0yMTAzMTMwMDExMzFaMGsxCzAJBgNVBAYT
AlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3
MS8wLQYDVQQDEyZub3QtY2hyb21lbGFiLWNlcnQtcm9vdC5tdHYuZ29vZ2xlLmNv
bTCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEAvm3+VEApDTqXVTjGedO7KRXu
5XpjsSUnXPgBjRr3adkEpBs5r86X1csf0V6exKRmLNpDFeacI7OzD2QLtOoO3Dn5
6Km682voZcsRB1DE8v1C21+KeiibPaOzzjkMyOz+a/JyKjtkxR0a+gAUA/K10eup
9/OmOrnsVR5hu4Fo5YcCAwEAAaOB5TCB4jAdBgNVHQ4EFgQUevdn8FuR7u26wCbB
r/+GpMZQwqMwgZ0GA1UdIwSBlTCBkoAUevdn8FuR7u26wCbBr/+GpMZQwqOhb6Rt
MGsxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1N
b3VudGFpbiBWaWV3MS8wLQYDVQQDEyZub3QtY2hyb21lbGFiLWNlcnQtcm9vdC5t
dHYuZ29vZ2xlLmNvbYIJAMMPy9yYn8UZMAwGA1UdEwQFMAMBAf8wEwYDVR0lBAww
CgYIKwYBBQUHAwMwDQYJKoZIhvcNAQEFBQADgYEAjYtsd2a0haPOq3wbrOhLQQuu
TlRIomjZUcUsFulleNZtLC5nsRTTu4XhFCix9ivVQGQGKBpMvNYDwE2lONui/1Vf
3FpYsQWpHqD2RbhhR0aAXrWyt7n8jn1d07A5LE3D/s/dYYohbrqHfe0rrf7gkauL
6AgVE8VyR7FRuU4/zKk=
-----END CERTIFICATE-----
"""
server_cert_2 = """-----BEGIN CERTIFICATE-----
MIIDVDCCAr2gAwIBAgIDEAABMA0GCSqGSIb3DQEBBAUAMGsxCzAJBgNVBAYTAlVT
MRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MS8w
LQYDVQQDEyZub3QtY2hyb21lbGFiLWNlcnQtcm9vdC5tdHYuZ29vZ2xlLmNvbTAe
Fw0xMTAzMTYwMDExMzFaFw0yMTAzMTMwMDExMzFaMG0xCzAJBgNVBAYTAlVTMRMw
EQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MTEwLwYD
VQQDEyhub3QtY2hyb21lbGFiLWNlcnQtc2VydmVyLm10di5nb29nbGUuY29tMIGf
MA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDL7Jh2grPIe+Yoz2moIa84iXUbvnIR
tSfYEak46xvvTO+XgduEKpsUj6LGGL/uzog5xxkbQ7TrtzEnPpwQCFulQoRC8liD
8DDkHIBunOtrYpvvWo6Yk+wWlkTjw7AjVk+iIXVe9Cwm7D3aEWlw5qrjBAx+DmFy
pCAIt20HK02V0wIDAQABo4IBAjCB/zAJBgNVHRMEAjAAMBEGCWCGSAGG+EIBAQQE
AwIGQDAdBgNVHQ4EFgQUvrWFiKmCwCOJ8gkMXcfdD8X/eHQwgZ0GA1UdIwSBlTCB
koAUevdn8FuR7u26wCbBr/+GpMZQwqOhb6RtMGsxCzAJBgNVBAYTAlVTMRMwEQYD
VQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MS8wLQYDVQQD
EyZub3QtY2hyb21lbGFiLWNlcnQtcm9vdC5tdHYuZ29vZ2xlLmNvbYIJAMMPy9yY
n8UZMAsGA1UdDwQEAwIFoDATBgNVHSUEDDAKBggrBgEFBQcDATANBgkqhkiG9w0B
AQQFAAOBgQAWtVBFEdbyj93qqGRXXJm1Yf9roxYZUDiOnl6us00f2sIAp3cp5Rq5
kkQj9y5QfBq6ct5mAZQhCXw4enhQ/b0J6zR/Lh7nBaBzDOyT28+L2bM53y1HnCOr
hyUyhm/WsshH/f63nzyTliIV4cPDX+Od6XUX9E7gFrYxxnm1AQmGZA==
-----END CERTIFICATE-----
"""
server_private_key_2 = """-----BEGIN RSA PRIVATE KEY-----
MIICXQIBAAKBgQDL7Jh2grPIe+Yoz2moIa84iXUbvnIRtSfYEak46xvvTO+XgduE
KpsUj6LGGL/uzog5xxkbQ7TrtzEnPpwQCFulQoRC8liD8DDkHIBunOtrYpvvWo6Y
k+wWlkTjw7AjVk+iIXVe9Cwm7D3aEWlw5qrjBAx+DmFypCAIt20HK02V0wIDAQAB
AoGALdY5kvHgDWFkI6ozeppPs2qaSykspLROh2+41NVsCwcFF84VlIirIR0EHnjz
s27zCeGp0AoRAabEwqh9FdF7H6xQ22v8u/mlN6drfI1n6KyyV9UnW46lWL2b40YQ
MbHIfUKpli979omdPXccCYNzPf8SDy5qepKf6sq773iVEWkCQQD5K3V8W31pB+IU
dFYS2lzx8SRbBPQuMBVcptiwdi2h5IReA0ldWxGc8sEtKf8djZHe6EB/cfoi5rhE
2sCvATh1AkEA0YOgl8ByAZq+azAoBnhRJRseAXsRGUV+zTNTNp4vTAGcmuwMSl3v
Iw1Q4OKUz9Oo71Za62BpoIxo/eXp4oaMJwJBAJI0bPiuWnUhugfUh5kCZl1U6Mc7
refYMQCvqiBJB9eh1gWwGgFcaYZVbwKITPjTVA+e6hGeGG8YQHGuhjdqGO0CQQC6
z1Wq2XIN0i9FHawikLcxkatAgL3vPZLhXoks4wCjEbDURfJzgKwQIfhifEVZxY0U
0nfA9bdY6rlW4eCYFYXzAkAjNAgtfelk9b9nT7JAIodaCXKyoSaID0/etu+NCqlt
opbkSIzq136j+PzIJX9RLZ0VXiIwM7MtOEvxZCBjAo8M
-----END RSA PRIVATE KEY-----
"""
client_cert_2 = """-----BEGIN CERTIFICATE-----
MIIDQDCCAqmgAwIBAgIDEAACMA0GCSqGSIb3DQEBBAUAMGsxCzAJBgNVBAYTAlVT
MRMwEQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MS8w
LQYDVQQDEyZub3QtY2hyb21lbGFiLWNlcnQtcm9vdC5tdHYuZ29vZ2xlLmNvbTAe
Fw0xMTAzMTYwMDExMzJaFw0yMTAzMTMwMDExMzJaMG0xCzAJBgNVBAYTAlVTMRMw
EQYDVQQIEwpDYWxpZm9ybmlhMRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MTEwLwYD
VQQDEyhub3QtY2hyb21lbGFiLWNlcnQtY2xpZW50Lm10di5nb29nbGUuY29tMIGf
MA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDxOl9JFvH8aeNj07pPF6PtENx90Lm9
uo3XwxwsHEIqfmr3rmbq8a2OerCbVAeCqvFOdswXjfNgraYjQntwzjoTdp23Cvon
M7vb8mO8vp3xpYb6D6IdzJZjQUnsd5jPWzMEIp7oBj8UTWsxVDGy5QI6SB64O8dn
tsUaLOdIdqE1QwIDAQABo4HvMIHsMAkGA1UdEwQCMAAwHQYDVR0OBBYEFKnxsjiH
G/CQ7/E07dODtCVzl25CMIGdBgNVHSMEgZUwgZKAFHr3Z/Bbke7tusAmwa//hqTG
UMKjoW+kbTBrMQswCQYDVQQGEwJVUzETMBEGA1UECBMKQ2FsaWZvcm5pYTEWMBQG
A1UEBxMNTW91bnRhaW4gVmlldzEvMC0GA1UEAxMmbm90LWNocm9tZWxhYi1jZXJ0
LXJvb3QubXR2Lmdvb2dsZS5jb22CCQDDD8vcmJ/FGTALBgNVHQ8EBAMCBaAwEwYD
VR0lBAwwCgYIKwYBBQUHAwIwDQYJKoZIhvcNAQEEBQADgYEAcJGyJvWHLofcMr70
k8UO5iaiYDgoR7NbsXwo/rAUktDgeInYKA2KJhiQREgSquKWEaCVK5tZkzGla+2G
7JtT1s6aAH6iLBiqH8Z+ptBJORpd+Dkrggp003g/WZcYSJy9u3iKRiAlXf+C3YqT
jOsSVKrlZHZlvjDSRl1Fv+ODljk=
-----END CERTIFICATE-----
"""
client_private_key_2 = """-----BEGIN RSA PRIVATE KEY-----
MIICXgIBAAKBgQDxOl9JFvH8aeNj07pPF6PtENx90Lm9uo3XwxwsHEIqfmr3rmbq
8a2OerCbVAeCqvFOdswXjfNgraYjQntwzjoTdp23CvonM7vb8mO8vp3xpYb6D6Id
zJZjQUnsd5jPWzMEIp7oBj8UTWsxVDGy5QI6SB64O8dntsUaLOdIdqE1QwIDAQAB
AoGACHVdhfiR/6HO4V85NzDDBLsEoDzDZo22D4y93iYXg9nu8kRhQ3e5+DcBHlEx
+jj4QSIVQfYuRIOSQcZBAdGZY6flibiDyQVa4hYkAZ50q2joXBsO4aVH+vzgS3ER
hCLAXlIjVH9Hq8zWzXti5mka/afbwu39PegknrCoFbr6c7ECQQD6f7TxViVqWVn+
19gKwPPi375ThtNW2wwSOxCFceiEVZX1j4EA6puOQN2EieK4XdBN/S//Lw4c/p2R
kzsVImy3AkEA9oaLkDoBNsqeWyOmCytuxK8kLr1polV9aRENQZXyLCRiiKu9LWpo
pevoLTCi8eOa5iTJUqIqNljGb1mUR9pH1QJBAJ5CotG6iGb5TpdoTND2eN9EVp20
177PI4A9GsIEZk99NwHuiSVIE8E7D/jVmIy8kIdFR9akJvmAj5JSf4hpuF8CQQCW
mbMAtK6xLi53Ntvkzu+oL+ZGt2ekx90JJmWWv2dmGAQpweCbsfmkAu2fTar9YjHq
jmZ+mJp5ANqYg3zWOD7RAkEAtIt9Whx/izCLLJKZGY8QaeN1+SCyg2Z5Rw8qiPbB
fvnf1pvhiHBjmbJLYOPR9hslU4pg0HzRMaDaG10Sp9047A==
-----END RSA PRIVATE KEY-----
"""
dh1024_pem_key_1 = """-----BEGIN DH PARAMETERS-----
MIGHAoGBAL/YrUzFuA5cPGzhXVqTvDugmPi9CpbWZx2+TCTKxZSjNiVJxcICSnql
uZtkR3sOAiWn384E4ZQTBrYPUguOuFfbMTRooADhezaG9SXtrE9oeVy9avIO7xQK
emZydO0bAsRV+eL0XkjGhSyhKoOvSIXaCbJUn7duEsfkICPRLWCrAgEC
-----END DH PARAMETERS-----
"""
# This cert is used for authenticating via ONC.
client_cert_1_pkcs12 = """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"""
ca_cert_3 = """-----BEGIN CERTIFICATE-----
MIIDHzCCAgegAwIBAgIUeYwGG61G9eZgnOYgfX83nWTw30AwDQYJKoZIhvcNAQEL
BQAwFzEVMBMGA1UEAwwMcm9vdF9jYV9jZXJ0MB4XDTE5MTIxMjE0MzM1OFoXDTI5
MTIwOTE0MzM1OFowFzEVMBMGA1UEAwwMcm9vdF9jYV9jZXJ0MIIBIjANBgkqhkiG
9w0BAQEFAAOCAQ8AMIIBCgKCAQEA3YMN/y90E3rMVbtFhaJ1NEpXC8uqUnzHNDFj
+IYaffyRMTOnbChexln+cVimdO8kivW4Z9v0SSwkpyJ2KZzf77QzrixepbIBwm3w
MTu7sbyOv8FBsx3/s/Ltg/G0cnl0yUSkXdLUpwRlq9rtLcWpJXQjg0okSDiCSK0C
OHgwYp2iohctm3DneKI7izWrdaPOHTlXgsp1ylbBLXNgkxxJLyr/Aude2eeDT171
EsibRWz5IYEApDYg3fR+DouDAUkKnQP0bGKBAW0214j4qdm4JcCtTBZi/jhRUqBC
r3EExETOAbEhLLIdugn9ct0JcodrIWxVyT8leFhA2FS4kYm6GwIDAQABo2MwYTAP
BgNVHRMBAf8EBTADAQH/MB0GA1UdDgQWBBTucw3kJa+svUcoHQApEKr2viDiADAf
BgNVHSMEGDAWgBTucw3kJa+svUcoHQApEKr2viDiADAOBgNVHQ8BAf8EBAMCAQYw
DQYJKoZIhvcNAQELBQADggEBANUZNNdSMwXmIyD/SiZntYn1fiA7NkTcvuMZc+zl
m+PINg2qksJR65TzVK/8bQisVuCkbXLwHaPDvky09nCaylmNEEJ7/2Qg/mEhb4r9
7akiCOeIAxTzVWgIDAgV4tq7YmeJqGYqIJzZFCDU69D2vTDDAvNLo2vaeRroehxZ
74KMXLT2wWyxF/+3GAxbS5UZOZXDyW1YJclrajGiAlnpeOcv5fvac8JSimmXPc90
uuIJdjTkHKNcMtb3MpIc+gz83R9BlwjRBeGzBz8/iR87MFG4IYh25+C1QEytjBBi
xuFgXLz9+gpOUPKh8KV9tFsVcPeZmdhrLT/HchTIn63eKIQ=
-----END CERTIFICATE-----
"""
# The following certificate has been issued by ca_cert_3.
server_cert_3 = """-----BEGIN CERTIFICATE-----
MIIDWTCCAkGgAwIBAgIBATANBgkqhkiG9w0BAQsFADAXMRUwEwYDVQQDDAxyb290
X2NhX2NlcnQwHhcNMTkxMjEyMTQzMzU4WhcNMjkxMjA5MTQzMzU4WjAUMRIwEAYD
VQQDDAkxMjcuMC4wLjEwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDM
JnQHF7EVPIrXALHTmsVTb5REGMB08cgasEopKghimCYfYUDVYREIYVHPZQVWLcFc
G+XZXPKUD3NdESvDbAzUr3XiSk4XlcuKQwlvtrGuybUMOTELIb/N+XdxdrGwW/M4
7Jqw/FO0sz3kinEYxSsS3zfNPLcfn2WZqjX4pJtqFpbZNk8YJjhpV7jgGai5ES4E
6mu4iP9Z/HnBIcV48rNziVPEh5nvD/rtrpFCWv8sRoGx2ywW8/1hmEjbPQChXKcU
Abxl1gDv4p2AMpO/XmIx2segK1OYqh1nHOUXMRxvSS8VQ6eqZ9usfnfdnSlv1sei
9CKKRtK4UhpaZX5npM9xAgMBAAGjgbIwga8wDAYDVR0TAQH/BAIwADAdBgNVHQ4E
FgQUijvi87fc8UZvEPMO59uScIfp3iowHwYDVR0jBBgwFoAU7nMN5CWvrL1HKB0A
KRCq9r4g4gAwHQYDVR0lBBYwFAYIKwYBBQUHAwEGCCsGAQUFBwMCMEAGA1UdEQQ5
MDeCD3d3dy5leGFtcGxlLmNvbYIQbWFpbC5leGFtcGxlLmNvbYESZXhhbXBsZUBk
b21haW4uY29tMA0GCSqGSIb3DQEBCwUAA4IBAQBGqCZm9MR6XV/pu5VIG6Zz1aHe
O52znWCSn6gwWT6E1EWai7MqZGpo7ToLeSNFLGmER4NrCR7FLC/Y13RXtQSeNvUR
WuqC7DotSaulHPQPzpgI/xsXRU05jWPIYnu4cdKhaIawqp+ZZsTWcatmLwBWsXKK
k0wxBfEqqPtew/SEQqa1tpP7dVz5lmeD/xMRpnDB+OJNVhbZNBdRzfplYLUx3H8P
Dohyj0kefoXcAaoTYTN6a+La9IpyaNSFencdWY1eqY2kxKYbDqVrLJpx9T3bbuqn
swL6SmbH778JGVkaDsD9eK94jvgiGCbkYuQw+71p3DWpV5TGph4eEWoG3M5g
-----END CERTIFICATE-----
"""
server_private_key_3 = """-----BEGIN RSA PRIVATE KEY-----
MIIEogIBAAKCAQEAzCZ0BxexFTyK1wCx05rFU2+URBjAdPHIGrBKKSoIYpgmH2FA
1WERCGFRz2UFVi3BXBvl2VzylA9zXRErw2wM1K914kpOF5XLikMJb7axrsm1DDkx
CyG/zfl3cXaxsFvzOOyasPxTtLM95IpxGMUrEt83zTy3H59lmao1+KSbahaW2TZP
GCY4aVe44BmouREuBOpruIj/Wfx5wSHFePKzc4lTxIeZ7w/67a6RQlr/LEaBsdss
FvP9YZhI2z0AoVynFAG8ZdYA7+KdgDKTv15iMdrHoCtTmKodZxzlFzEcb0kvFUOn
qmfbrH533Z0pb9bHovQiikbSuFIaWmV+Z6TPcQIDAQABAoIBACe1Fv5GKmhSBUM6
XFwnD1hiLHluQwi7+krOnS4Sgd0DcO7LkLuwDIsPusTXBkmzzpcmyfcUMA6CTtL8
QwHYo0o+8nPYNgY6WYOD9HLpGvg/PVqqSRK8Nr1OV2AXUQpXaCBbTN89xN4xuskX
8FV8DBu4lPbzZz7cVvujcqnxAlWIxB9fNayE3FlrgoseFMqEVtYb56rose6wR+ZE
oM5s1GLWduJWwybgp43EYrGqeOZVAh+rXLxr0Wq17DT1z/l5h3Hkq2W+9cKX6JVm
Py8A/y82z4pbDNjZ/63q8ZGmcuSq7vN7n+9PqmCBHZZVboZnSb9AVhgt86kdjTpI
fc+QY9ECgYEA9GO1uw2ykgQUk1yBPQ9b+BxHgm/tvaJFJ5SON5XZD2nC23kx22Xh
Muz0G75BsMJV9F4+lyQI9BEVl200Qccyj7CVLIRin3xqUM4IXy0X0Dj5evL6zf+L
Co7GYg59VN62gz6xW3M9+s+cqQIACDDxNapf9xaLTUpMNkIa875DxE0CgYEA1dlZ
Wt6ZeB5KjtZtBc8pCwrStrKoiOzAXd8gCNCmqyJcLOLPKD2iQDErjuFIB0iAx7b+
UYOWBxMcB5bDLcQFzX50JcsH3Yik67pxSbvniG2vDm97crOspjJl/HcEyLorK5lO
aIORZKpIXvIL2eS/SebdH/lnsoPehWf3ec+NmbUCgYBeBC3Zc/+KZL91oVSmpM4A
uQBZka2oElEAVQoRIDiM0WcA/7LKcHseGEIgmiSzV0+x3r+9bUN0gU4JHx3HYFZ3
KLt6kMNQD5Dm3RwjYTmUBRcU0Xzi2rgmq55uApz8lWEpRGj+gWsKnevqqLZScGGa
/5xDdgzJAxgml2++7Scs0QKBgCuWZ54b7RAMrIm8rvAWL3lutVBDzhJKn1MC3Zau
YKpVEJCdkjfTiDSpUQWIaZQCdS0/4UpgFb5PaNErK5EyeTRPaAEkBvBin6rkj57F
zAWExb+dfX39nV0qvJre73yyZYY3c0HeP05TXvjrQPsiotK/WabgwQAj3ME4Vbrg
US5ZAoGASM5u5pwqkCDvsTgS7LvZZu53nEagGJaoNX47I2WnivpLx7MgyJzUpywI
2h6sB+gyJGNdU3QeNjkNHIq9BTdkzw0ol7ncSgm8cFAq8o9LFaNewSsiu1zhEeL7
IksFS0XbEYjXN2w18BoGzewRemCXE3M1j5PaaU9agnu/A6Wa3C4=
-----END RSA PRIVATE KEY-----
"""
